% Generated by roxygen2 (4.0.2): do not edit by hand
\docType{data}
\name{Bam_Handler}
\alias{Bam_Handler}
\title{A class to manage BAM files.}
\format{A BAM manager}
\usage{
Bam_Handler
}
\value{
\code{Bam_Handler$new} returns a \code{Bam_Handler} object which contains
coverage related information for every BAM files.
}
\description{
This class will allow to load, convert and normalize alignments and regions
files/data.
}
\section{Constructor}{

\describe{
  \item{}{\code{bh <- Bam_Handler$new(bam_files, cores = SerialParam())}}
  \item{bam_files}{A \code{vector} of BAM filenames. The BAM files must be
                   indexed. i.e.: if a file is named file.bam, there must be
                   a file named file.bam.bai in the same directory.}
  \item{cores}{The number of cores available to parallelize the analysis.
               Either a positive integer or a \code{BiocParallelParam}.
               Default: \code{SerialParam()}.}
}

 \code{Bam_Handler$new} returns a \code{Bam_Handler} object that contains
 and manages BAM files. Coverage related information as alignment count can
 be obtain by using this object.
}

\section{Methods}{

\describe{
  \item{}{\code{bh$get_aligned_count(bam_file)}}
  \item{bam_file}{The name of the BAM file.}
}
\describe{
  \item{}{\code{bh$get_rpm_coefficient(bam_file)}}
  \item{bam_file}{The name of the BAM file.}
}
\describe{
  \item{}{\code{bh$index_bam_files(bam_files)}}
  \item{bam_files}{A \code{vector} of BAM filenames.}
}
\describe{
  \item{}{\code{bh$get_bam_files()}}
}
\describe{
  \item{}{\code{bh$get_normalized_coverage(bam_file, regions)}}
  \item{bam_file}{The name of the BAM file.}
  \item{regions}{A not empty \code{GRanges} object.}
}
}
\examples{
bh <- metagene:::Bam_Handler$new(bam_files=get_demo_bam_files())
 bh$get_aligned_count(metagene:::get_demo_bam_files()[1])
}
\keyword{datasets}

